%OMP2MEX Matlab interface to the OMP2 MEX function
%  GAMMA = OMP2MEX(D,X,DtX,XtX,G,EPSILON,SPARSE_G,MSGDELTA,MAXATOMS,NONNEG,PROFILE)
%  invokes the OMP2 function according to the specified parameters.
%
%  Not all the parameters are required. Those among D, X, DtX, XtX and G
%  which are not specified should be passed as [].
%
%  EPSILON is the target error.
%  SPARSE_G means a sparse GAMMA when non-zero, or a full GAMMA when zero.
%  MSGDELTA is the delay between messages. Zero means no messages.
%  MAXATOMS is the max number of atoms per signal, negative means no max.
%  NONNEG indicates that non-negative OMP should be used when non-zero.
%  PROFILE means that profiling information should be printed.


%  Ron Rubinstein
%  Computer Science Department
%  Technion, Haifa 32000 Israel
%  ronrubin@cs
%
%  April 2008
