%OMPMEX Matlab interface to the OMP MEX function
%  GAMMA = OMPMEX(D,X,DtX,G,L,SPARSE_G,MSGDELTA,NONNEG,PROFILE) invokes the
%  OMP function according to the specified parameters.
%
%  Not all the parameters are required. Those among D, X, DtX and G which
%  are not specified should be passed as [].
%
%  L is the target sparsity.
%  SPARSE_G means a sparse GAMMA when non-zero, or a full GAMMA when zero.
%  MSGDELTA is the delay between messages. Zero means no messages.
%  NONNEG indicates that non-negative OMP should be used when non-zero.
%  PROFILE means that profiling information should be printed.


%  Ron Rubinstein
%  Computer Science Department
%  Technion, Haifa 32000 Israel
%  ronrubin@cs
%
%  April 2008
